Subject: [PATCH v5 3/3] ARM: OMAP2+: onenand: prepare for gpmc driver migration

From: [email-masked] (Tony Lindgren)
Date: Thu, 28 Jun 2012 05:32:07 -0700

* Mohammed, Afzal <[email-masked]> [120628 02:36]:
> Hi Tony,
> 
> On Wed, Jun 27, 2012 at 20:28:45, Tony Lindgren wrote:
> 
> > The last patch in this series causes onenand not to show
> > up on my n900. I believe the problem has been there earlier
> > too, but I just did not notice it.
> 
> Sorry for the delayed response, could reach workplace a short
> while ago only
> 
> Could the diff [1] be tried and check whether it resolves the issue,
> 
> Regards
> Afzal
> 
> [1]
> diff --git a/arch/arm/mach-omap2/gpmc-onenand.c b/arch/arm/mach-omap2/gpmc-onenand.c
> index c8a9487..bbae674 100644
> --- a/arch/arm/mach-omap2/gpmc-onenand.c
> +++ b/arch/arm/mach-omap2/gpmc-onenand.c
> @@ -364,6 +364,8 @@ static int omap2_onenand_setup_async(void __iomem *onenand_base)
>         struct gpmc_timings t;
>         int ret;
> 
> +       omap2_onenand_set_async_mode(onenand_base);
> +
>         t = omap2_onenand_calc_async_timings();
> 
>         ret = gpmc_set_async_mode(gpmc_onenand_data->cs, &t);

Yes that seems to do the trick, thanks! I can fold that into the
breaking patch when applying.

Tony